## python-serverfiles 0.3.0

=== requirements.txt ===
requests>=2.11.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = ServerFiles
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-serverfiles 0.2.1

=== debian/changelog ===
python-serverfiles (0.2.1-1ubuntu1) disco; urgency=medium

  * Build-depend on python3-requests to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 15 Dec 2018 22:19:12 -0500

python-serverfiles (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #911105)

 -- Steffen Moeller <moeller@debian.org>  Mon, 15 Oct 2018 20:19:31 +0200

=== debian/control ===
Source: python-serverfiles
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python,
 python3-all, python3-setuptools, python3-requests (>= 2.11.1)
Standards-Version: 4.2.1
Homepage: https://github.com/biolab/serverfiles
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-serverfiles
Vcs-Git: https://salsa.debian.org/python-team/modules/python-serverfiles.git
Testsuite: autopkgtest-pkg-python

Package: python3-serverfiles
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-python-serverfiles-doc
Description: accesses files on a HTTP server and stores them locally for reuse
 A dependency for the Orange Machine Learning suite.
 .
 This package installs the library for Python 3.

## python-serverfiles 0.3.0

=== debian/changelog ===
python-serverfiles (0.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-requests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:56:01 +0100

python-serverfiles (0.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:56:43 -0400

python-serverfiles (0.3.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.3.0
  * Add missing dependencies Closes: 913378
  * Bump dh to 12
  * Update Standards-Version to 4.4.1
  * Remove suggested package in d/control since it does not exist
  * Added Rules-Requires-Root: no

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 09 Dec 2019 16:45:57 +0100

=== debian/control ===
Source: python-serverfiles
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/biolab/serverfiles
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-serverfiles
Vcs-Git: https://salsa.debian.org/python-team/packages/python-serverfiles.git
Testsuite: autopkgtest-pkg-python

Package: python3-serverfiles
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: accesses files on a HTTP server and stores them locally for reuse
 A dependency for the Orange Machine Learning suite.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-serverfiles-$1.tar.gz%" \
   https://github.com/biolab/serverfiles/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
